<?php

namespace App\Models;

class Config extends Abs
{
	public function getConfig()
	{
		$condicao = array(
				array("id", 1),
			);
		return $this->executaSelect("uni_config","*",$condicao,"","");
	}	
	
	public function getDesconto()
	{
		return $this->executaSelect("uni_descontos_group","*","","","ORDER BY desconto ASC");
	}

	public function getDescontoProduto()
	{
		return $this->executaSelect("uni_descontos_prod","*","","","ORDER BY desconto ASC");
	}

	public function getProduto()
	{
		return $this->executaSelect("uni_produtos_web","SQL_ICODBUS","","","");
	}
	
	
	
	/**
	* Editar informações do Usuário
	* @return true or false
	*/
	public function editarConfig($array)
	{
		$condicao = array(
			array("id", $array['id']),
		);
		$campo_valor = array(
			array("min_estoque", $array['min_estoque']),
			array("cod_desconto", $array['cod_desconto']),
			array("caminho", $array['caminho']),
			array("max_itens", $array['max_itens']),
			array("data_analise_ini", $array['data_analise_ini']),
			array("data_analise_fim", $array['data_analise_fim']),
			array("sug", $array['data_sug_dias']),
			array("data_att", date("Y-m-d H:i:s")),
		);							
					
		return $this->executaUpdate("uni_config",$campo_valor,$condicao);
	}
	
	public function editarConfigDesconto($groupid,$desconto)
	{		
		$condicao = array(
			array("id", $groupid),
		);
		$campo_valor = array(
			array("desconto", $desconto),
		);							
					
		return $this->executaUpdate("uni_descontos_group",$campo_valor,$condicao);
	}
	
	public function editarConfigProdDesconto($product_id,$desconto)
	{		
		$condicao = array(
			array("product_id", $product_id),
		);
		$campo_valor = array(
			array("desconto", $desconto),
		);							
					
		return $this->executaUpdate("uni_descontos_prod",$campo_valor,$condicao);
	}
	
	public function createConfigProdDesconto($product_id,$desconto)
	{
		$campo_valor = array(
			array("product_id", $product_id),
			array("desconto", $desconto),
		);
			
		return $this->executaInsert("uni_descontos_prod",$campo_valor);
	}
	
	
	public function descontoProd($id)
	{		
		$condicao = array(
			array("product_id", $id),
		);
		$response = $this->executaSelect("uni_descontos_prod","COUNT(*) as cont",$condicao,"","");
		
		$name = $response[0]["cont"];
		
		return $name;
	}
	
		/**
	* Deletar informações do Cliente
	* @return true or false
	*/
	public function deletarDesc($array)
	{
		$condicao = array(
			array("id", $array['id']),
		);

		return $this->executaDelete($array['tab'],$condicao);
	}
	
	
	
}